This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 12427 - portmap runs as user "bin"
portmap runs as user "bin"
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: portmap (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-18 14:49 EDT by Matthew Kirkwood
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-03 10:20:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Kirkwood 2000-06-18 14:49:23 EDT
In theory this should be fine.  In practice though, a lot of third party
software (and an embarrasing number of official RPMs - cf. #12423, #12424,
#12426) installs binaries owned by "bin".

If a dedicated uid is deemed excessive, perhaps a generic "rpc" account,
which could be used by other things like rpc.statd.
Comment 1 Henri Schlereth 2000-07-14 00:49:57 EDT
Confirmed as still valid in beta3
Comment 2 Glen Foster 2000-07-18 14:47:08 EDT
This defect is considered MUST-FIX for Winston Beta-5
Comment 3 Glen Foster 2000-07-21 14:05:47 EDT
This defect has been re-classified as MUST-FIX for Winston Gold-release
Comment 4 Henri Schlereth 2000-08-01 23:13:38 EDT
Still valid in beta5

Note You need to log in before you can comment on or make changes to this bug.